from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XTextColumns(XInterface, Protocol):
    def getReferenceValue(self) -> int: ...
    def getColumnCount(self) -> int: ...
    def setColumnCount(self, nColumns: int) -> None: ...
    def getColumns(self) -> list[TextColumn]: ...
    def setColumns(self, Columns: TextColumn>) -> None: ...
